Statistics
519
2
1
5d
Badges
Dependencies

ThePay

Latest stable Build Status

Installation

The best way to install trejjam/thepay is using Composer:

$ composer require trejjam/thepay

Configuration

extensions:
	trejjam.thepay: Trejjam\ThePay\DI\ThePayExtension

trejjam.thepay:
	demo: true #if is true, extension rewrite merchant values
	merchant:
		gateUrl: 'https://www.thepay.cz/gate/'
		merchantId: (int)
		accountId: (int)
		password: ''
		dataApiPassword: ''
		webServicesWsdl: 'https://www.thepay.cz/gate/api/api-demo.wsdl'
		dataWebServicesWsdl: 'https://www.thepay.cz/gate/api/data-demo.wsdl'

Minimal production configuration:

trejjam.thepay:
	demo: false
	merchant:
		merchantId: (int)
		accountId: (int)
		password: ''
		dataApiPassword: ''
  • v4.0.1-rc0 v4.0.1 RC0

    This release adds support for Helper\Card::getCardInfo from the original library

  • v4.0.0-rc1 v4.0.0 RC1

    This release use patched core library.
    Core library was migrated to PHP 7.1 with forced types and it is no longer only namespaced official library. It could be BC break. But changes in official library will be ported into that core library.
    Core library was also migrated from DateTime to DateTimeImmutable, it is also BC break.

    Library returns (and requires):

    • TRUE/FALSE from bool property which in previous version returns '1'/'0'.
    • float number instead of (string)number_format($number, 2, '.', '')
    • int number instead of (string)$number
    • DateTimeImmutable instead of DateTime
  • v4.0.0-rc0 v4.0.0 RC0

    This release use patched core library.
    Core library was migrated to PHP 7.1 with forced types and it is no longer only namespaced official library. It could be BC break. But changes in official library will be ported into that core library.

    Library return:

    • TRUE/FALSE from bool property which in previous version returns '1'/'0'.
    • float number instead of (string)number_format($number, 2, '.', '')
    • int number instead of (string)$number
  • v3.4.0 v3.4.0

    This release contains

    • Update core library
    • Update to PHP 7.1
    • Add strict signatures
  • v3.4.0-rc1 3.4.0 RC1

    • Update core library
    • Update to PHP 7.1
    • Add strict signatures
  • v3.2.2 3.2.2

    Update library to version 3.2:2

  • v3.1.0 3.1.0

    Update library to version 3.1.0

Is this addon outdated? Did you find an issue? Please report it.

Componette Componette admin@componette.com